Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(46)

Issue 1581033002: [es7] implement Object.values() / Object.entries() proposal (Closed)

Created:
2 years, 6 months ago by caitp (gmail)
Modified:
2 years, 5 months ago
CC:
Michael Hablich, Hannes Payer (out of office), ulan, v8-reviews_googlegroups.com
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

[es7] implement Object.values() / Object.entries() proposal BUG=v8:4663 LOG=N TBR=hpayer@chromium.org R=ljharb@gmail.com, rossberg@chromium.org, adamk@chromium.org Committed: https://crrev.com/677be73e767f93741204f07061f0216485086f99 Cr-Commit-Position: refs/heads/master@{#33450}

Patch Set 1 #

Total comments: 4

Patch Set 2 : change the flag to --harmony-object-values-entries #

Patch Set 3 : add computed property names #

Patch Set 4 : rebase #

Patch Set 5 : Rebase #

Patch Set 6 : Execution::ToObject() -> Object::ToObject(), test fixups #

Unified diffs Side-by-side diffs Delta from patch set Stats (+216 lines, -1 line) Patch
M src/bootstrapper.cc View 1 2 3 4 2 chunks +17 lines, -0 lines 0 comments Download
M src/builtins.h View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M src/builtins.cc View 1 2 3 4 5 1 chunk +56 lines, -0 lines 0 comments Download
M src/flag-definitions.h View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M src/heap/heap.h View 1 2 3 4 2 chunks +2 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/object-entries.js View 1 2 3 4 5 1 chunk +73 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/object-values.js View 1 2 1 chunk +64 lines, -0 lines 0 comments Download

Messages

Total messages: 27 (14 generated)
caitp (gmail)
low priority as noted on the bug#, but maybe it will give someone something to ...
2 years, 6 months ago (2016-01-13 04:45:16 UTC) #1
rossberg
LGTM with nits https://codereview.chromium.org/1581033002/diff/1/src/flag-definitions.h File src/flag-definitions.h (right): https://codereview.chromium.org/1581033002/diff/1/src/flag-definitions.h#newcode210 src/flag-definitions.h:210: V(harmony_object_values, "harmony Object.values") Nit: ...and entries. ...
2 years, 6 months ago (2016-01-14 13:18:43 UTC) #2
caitp (gmail)
https://codereview.chromium.org/1581033002/diff/1/src/flag-definitions.h File src/flag-definitions.h (right): https://codereview.chromium.org/1581033002/diff/1/src/flag-definitions.h#newcode210 src/flag-definitions.h:210: V(harmony_object_values, "harmony Object.values") On 2016/01/14 13:18:43, rossberg wrote: > ...
2 years, 6 months ago (2016-01-14 14:13:25 UTC) #3
caitp (gmail)
Needs an LGTM for src/heap as well. +ulan?
2 years, 6 months ago (2016-01-14 15:47:48 UTC) #4
Dan Ehrenberg
lgtm This change looks good to me. For the heap, I listed hpayer as TBR--this ...
2 years, 5 months ago (2016-01-22 01:56:30 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1581033002/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1581033002/60001
2 years, 5 months ago (2016-01-22 01:56:37 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: v8_android_arm_compile_rel on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_android_arm_compile_rel/builds/12378) v8_linux_arm_rel on tryserver.v8 (JOB_FAILED, ...
2 years, 5 months ago (2016-01-22 01:58:20 UTC) #14
caitp (gmail)
On 2016/01/22 01:58:20, commit-bot: I haz the power wrote: > Try jobs failed on following ...
2 years, 5 months ago (2016-01-22 02:28:44 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1581033002/80001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1581033002/80001
2 years, 5 months ago (2016-01-22 02:34:31 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: v8_linux64_avx2_rel on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_linux64_avx2_rel/builds/9051) v8_linux64_rel_ng on tryserver.v8 (JOB_FAILED, ...
2 years, 5 months ago (2016-01-22 02:35:53 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1581033002/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1581033002/100001
2 years, 5 months ago (2016-01-22 02:45:42 UTC) #24
commit-bot: I haz the power
Committed patchset #6 (id:100001)
2 years, 5 months ago (2016-01-22 03:12:37 UTC) #25
commit-bot: I haz the power
2 years, 5 months ago (2016-01-22 03:13:08 UTC) #27
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/677be73e767f93741204f07061f0216485086f99
Cr-Commit-Position: refs/heads/master@{#33450}

Powered by Google App Engine
This is Rietveld 408576698